<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [ActiveToc][1]
-   [init][2]
    -   [Parameters][3]
-   [destroy][4]
-   [unobserve][5]

## ActiveToc

ActiveToc

Make your table of contents active.

Please review the [ActiveToc example][6] to see the usage.

Install ActiveToc in your Node project with 

<pre>
npm i active-toc
</pre>

and use it inside your code via 

<pre>
const ActiveToc = require('active-toc');
</pre>

or, alternatively 

<pre>
import ActiveToc from 'active-toc';
</pre>

You can also use it without node, by embedding the script <code>active-toc.min.js</code> in your web page.

<pre>
&lt;script src="active-toc.min.js">&lt;/script>
</pre> 

ActiveToc is using the IntersectionObserver API.

## init

Without defining the tocContainer a call like <code>ActiveToc.init()</code> will search for a container
with <code>id="header"</code> or a tag <code>header</code> and will make that container the active toc.
That container has to contain a set of links to headings inside of the document. Each heading needs to be identified with the id attribute.
When scrolling contents or resizing the window, the links in the tocContainer will be assigned the CSS class named <code>is-visible</code> if the assiciated heading of the link is visible.
The link will be assigned the CSS class name <code>is-active</code> if the heading is not visible, but still can be considered active.

### Parameters

-   `settings` **any?** 
    -   `settings.tocContainer` **[String][7]?** Specify the id of the container that contains links to the headings inside of your document. Default is 'header'. If not specified will search for the html <code>header</code> tag.

## destroy

Revert all changes that have been made by ActiveToc

## unobserve

Do no longer observe the headings of the document

[1]: #activetoc

[2]: #init

[3]: #parameters

[4]: #destroy

[5]: #unobserve

[6]: https://github.com/ulfschneider/active-toc/active-toc.html

[7]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String
